#pragma once

#include "CoreMinimal.h"
#include "ActivateStatusEffectOnEventBaseStrategy.h"
#include "DBDTunableRowHandle.h"
#include "ActivateStatusEffectOnEventInstigatorOutsideRangeOfOwningPlayerStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UActivateStatusEffectOnEventInstigatorOutsideRangeOfOwningPlayerStrategy : public UActivateStatusEffectOnEventBaseStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _range;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _tunableRange;

public:
	UActivateStatusEffectOnEventInstigatorOutsideRangeOfOwningPlayerStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UActivateStatusEffectOnEventInstigatorOutsideRangeOfOwningPlayerStrategy) { return 0; }
